
<?php $__env->startSection('title', __('purchase.add_purchase')); ?>

<?php $__env->startSection('content'); ?>

    <?php
        $custom_labels = json_decode(session('business.custom_labels'), true);
    ?>
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1> <?php echo app('translator')->getFromJson('sentence.kashf_hesab'); ?> <?php echo app('translator')->getFromJson('sentence.supplier'); ?> <i class="fa fa-keyboard-o hover-q text-muted"
                                                                         aria-hidden="true" data-container="body"
                                                                         data-toggle="popover" data-placement="bottom"
                                                                         data-content="<?php echo $__env->make('purchase.partials.keyboard_shortcuts_details', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>"
                                                                         data-html="true" data-trigger="hover"
                                                                         data-original-title="" title=""></i></h1>
    </section>
    <!-- Main content -->
    <section class="content">

        <!-- Page level currency setting -->
        <input type="hidden" id="p_code" value="<?php echo e($currency_details->code, false); ?>">
        <input type="hidden" id="p_symbol" value="<?php echo e($currency_details->symbol, false); ?>">
        <input type="hidden" id="p_thousand" value="<?php echo e($currency_details->thousand_separator, false); ?>">
        <input type="hidden" id="p_decimal" value="<?php echo e($currency_details->decimal_separator, false); ?>">

        <?php echo Form::open(['url' => action('SupplierKashfController@storeWasal'), 'method' => 'post', 'id' => 'add_purchase_form', 'files' => true ]); ?>

        <?php $__env->startComponent('components.widget', ['class' => 'box-primary']); ?>
            <div class="row">
                <div class="col-sm-3">
                    <div class="form-group">
                        <?php echo Form::label('car_palet', __('sentence.supplier') . ':*'); ?>

                        <?php echo Form::select('supplier_id', $contact, null, ['class' => 'form-control select2', 'style' => 'width:100%','id'=>'contact_id','required'=>'required']);; ?>

                    </div>
                </div>
                <div class="col-sm-3">
                    <div class="form-group">
                        <?php echo Form::label('car_palet', __('sentence.transport') . ':*'); ?>


                        <?php echo Form::select('move_line', $contact, null, ['class' => 'form-control select2', 'style' => 'width:100%', 'id'=>'trasnport_id','required'=>'required']);; ?>


                    </div>
                </div>
                <div class="col-sm-3">
                    <div class="form-group">
                        <?php echo Form::label('prescription_Date_id', __('sentence.daysTotalNumberDefualt') . ':*'); ?>


                        <?php echo Form::text('default_days_read',0, ['class' => 'form-control', 'id' => 'defualt_days','disabled']);; ?>

                        <input type="hidden" name="default_days" id="defualt_days_hidden" value="0"/>

                    </div>

                </div>
                <div class="col-sm-3">
                    <div class="form-group">
                        <?php echo Form::label('prescription_Date_id', __('sentence.statement_type') . ':*'); ?>


                        <select class="form-control m-bot15" id="statement_type" name="statement_type" value=''
                               required>
                           <option value="0"><?php echo app('translator')->getFromJson('sentence.commission_buy'); ?></option>
                           <option value="1"><?php echo app('translator')->getFromJson('sentence.direct_buy'); ?></option>
                        </select>

                    </div>

                </div>
            </div>
            <div class="row">
                <div class="col-sm-3">
                    <div class="form-group">
                        <?php echo Form::label('prescription_Date_id', __('sentence.onLandDate') . ':*'); ?>

                        <div class="input-group">
							<span class="input-group-addon">
								<i class="fa fa-calendar"></i>
							</span>
                            <?php echo Form::text('on_land_date_show', \Carbon::createFromTimestamp(strtotime('now'))->format(session('business.date_format')), ['class' => 'form-control paid_on', 'readonly', 'required', 'id' => 'on_land_date_id']);; ?>

                            <input type="hidden" name="on_land_date" id="on_land_date_id_hidden" value="0"/>

                        </div>
                    </div>
                </div>
                <div class="col-sm-3">
                    <div class="form-group">
                        <?php echo Form::label('prescription_Date_id', __('sentence.outLandDate') . ':*'); ?>

                        <div class="input-group">
							<span class="input-group-addon">
								<i class="fa fa-calendar"></i>
							</span>
                            <?php echo Form::text('out_land_date_show', \Carbon::createFromTimestamp(strtotime('now'))->format(session('business.date_format')), ['class' => 'form-control paid_on', 'readonly', 'required', 'id' => 'out_land_date_id']);; ?>

                            <input type="hidden" name="out_land_date" id="out_land_date_id_hidden" value="0"/>
                        </div>
                    </div>
                </div>
                <div class="col-sm-3">
                    <div class="form-group">
                        <?php echo Form::label('prescription_Date_id', __('sentence.factoryHoldDate') . ':*'); ?>

                        <div class="input-group">
							<span class="input-group-addon">
								<i class="fa fa-calendar"></i>
							</span>
                            <?php echo Form::text('factory_date', \Carbon::createFromTimestamp(strtotime('now'))->format(session('business.date_format')), ['class' => 'form-control paid_on', 'readonly', 'required', 'id' => 'factory_date_id']);; ?>

                            <input type="hidden" name="factory_date" id="factory_date_id_hidden" value="0"/>

                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-3">
                    <div class="form-group">
                        <?php echo Form::label('prescription_Date_id', __('sentence.daysTotalNumber') . ':*'); ?>


                        <?php echo Form::text('days_total_number_show',0, ['class' => 'form-control', 'id' => 'total-days-diff','disabled']);; ?>

                        <input type="hidden" name="days_total_number" id="total-days-diff-hidden">

                    </div>

                </div>
                <div class="col-sm-3">
                    <div class="form-group">
                        <?php echo Form::label('prescription_Date_id', __('sentence.daysDiff') . ':*'); ?>


                        <?php echo Form::text('days_diff_show',0, ['class' => 'form-control', 'id' => 'days-diff','readonly']);; ?>


                        <input type="hidden" name="days_diff" id="days-diff-hidden">

                    </div>

                </div>

                <div class="col-sm-3">
                    <div class="form-group">
                        <?php echo Form::label('box_count', __('sentence.dayCost') . ':'); ?>

                        <?php echo Form::text('day_cost_show',0, ['class' => 'form-control', 'id' => 'day-cost','disabled']);; ?>

                        <input type="hidden" name="day_cost" id="day-cost-hidden">
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-3">
                    <div class="form-group">
                        <?php echo Form::label('box_count', __('sentence.ShippingCost') . ':'); ?>

                        <?php echo Form::text('shipping_cost',0, ['class' => 'form-control', 'id' => 'shipping-cost','required'=>'required']);; ?>

                    </div>
                </div>
                <div class="col-sm-3">
                    <label for="exampleInputEmail1">  <?php echo app('translator')->getFromJson('sentence.carPalet'); ?>*</label>

                    <input type="text" class="form-control m-bot15" id="carpalet" name="carpalet" value=''
                            required>

                    </input>
                </div>
                <div class="col-sm-3">
                    <label for="exampleInputEmail1">  <?php echo app('translator')->getFromJson('sentence.driver'); ?>*</label>
                    <input type="text" class="form-control m-bot15" id="driver_name" name="driver_name" value=''
                           required>

                    </input>


                </div>
            </div>
            <div class="row">
                <div class="col-sm-6">
                    <div class="form-group">
                        <?php echo Form::label('car_palet', __('sentence.Customer') . ':*'); ?>

                        <?php echo Form::select('contact_customer_id', $contactCustomer, null, ['class' => 'form-control select2', 'style' => 'width:100%','id'=>'contact_customer_id','required'=>'required']);; ?>

                    </div>
                </div>
                <div class="col-sm-6">
                    <div class="form-group">
                        <label for="exampleInputEmail1">  <?php echo app('translator')->getFromJson('sentence.factory_name'); ?></label>

                        <input type="text" class="form-control m-bot15" id="factory_name" name="factory_name" value=''>

                        </input>
                    </div>
                </div>
            </div>
        <?php echo $__env->renderComponent(); ?>
        <?php $__env->startComponent('components.widget', ['class' => 'box-primary']); ?>
            <div class="row">
                <div class="col-sm-2">
                    <div class="form-group">
                        <?php echo Form::label('qty-weight', __('sentence.amountWeight') . ':'); ?>

                        <?php echo Form::text('qty_weight',0, ['class' => 'form-control', 'id' => 'qty-weight','required'=>'required']);; ?>

                    </div>
                </div>

                <div class="col-sm-2">
                    <div class="form-group">
                        <?php echo Form::label('west-per', __('sentence.westpersupplier') . ':'); ?>

                        <input type="number" class="form-control" value="0" min="0" step="0.01" name="west_per_supplier" id="west_per_supplier"/>
                        <?php echo Form::label('west-per', __('sentence.westper') . ':'); ?>

                        <?php echo Form::text('west_per',0, ['class' => 'form-control', 'id' => 'west-per','required'=>'required']);; ?>


                    </div>
                </div>
                <div class="col-sm-2">
                    <div class="form-group">
                        <?php echo Form::label('qty-weight', __('sentence.NetAmountWeightSupplier') . ':'); ?>

                        <?php echo Form::text('net_amount_weight_supplier_show',0, ['class' => 'form-control', 'id' => 'net-weight-supplier','disabled']);; ?>

                        <input type="hidden" name="net_amount_weight_supplier" id="net-weight-supplier-hidden">
                        <?php echo Form::label('qty-weight', __('sentence.NetAmountWeight') . ':'); ?>

                        <?php echo Form::text('net_amount_weight_show',0, ['class' => 'form-control', 'id' => 'net-weight','disabled']);; ?>

                        <input type="hidden" name="net_amount_weight" id="net-weight-hidden">
                    </div>
                </div>
                <div class="col-sm-2">
                    <div class="form-group">
                        <?php echo Form::label('kg_price', __('sentence.kgprice') . ':'); ?>

                        <?php echo Form::text('kg_price',0, ['class' => 'form-control', 'id' => 'kg-price','required'=>'required']);; ?>

                    </div>
                    <div class="form-group">
                        <?php echo Form::label('kg_price', __('sentence.kgpriceClient') . ':'); ?>

                        <?php echo Form::text('kg_price_client',0, ['class' => 'form-control', 'id' => 'kg-price-client','required'=>'required']);; ?>

                    </div>
                </div>
                <div class="col-sm-3">
                    <div class="form-group">
                        <?php echo Form::label('net_money', __('sentence.netAmountMoney') . ':'); ?>

                        <?php echo Form::text('net_money_show',0, ['class' => 'form-control', 'id' => 'net_money','disabled']);; ?>

                        <input type="hidden" name="net_money" id="net_money_hidden">

                    </div>
                    <div class="form-group">
                        <?php echo Form::label('net_money', __('sentence.netAmountMoneyClient') . ':'); ?>

                        <?php echo Form::text('net_money_client_show',0, ['class' => 'form-control', 'id' => 'net_money_client','disabled']);; ?>

                        <input type="hidden" name="net_money_client" id="net_money_client_hidden">

                    </div>
                </div>

            </div>
        <?php echo $__env->renderComponent(); ?>
        <?php $__env->startComponent('components.widget', ['class' => 'box-primary']); ?>
            <div class="row">
                <div class="col-sm-2">
                    <div class="form-group">
                        <?php echo Form::label('box_amount_total', __('sentence.boxRent') . ':'); ?>

                        <?php echo Form::text('box_amount_total_show',0, ['class' => 'form-control', 'id' => 'box-amount-total','readonly'=>'readonly']);; ?>

                        <input type="hidden" name="box_amount_total" id="box-amount-total-hidden">

                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <?php echo Form::label('box_amount_ton', __('sentence.boxRentTon') . ':'); ?>

                        <?php echo Form::text('box_amount_ton',0, ['class' => 'form-control', 'id' => 'box-amount-ton','readonly'=>'readonly']);; ?>

                    </div>
                </div>
                <div class="col-sm-2">
                    <div class="form-group">
                        <?php echo Form::label('box_count', __('sentence.boxCount') . ':'); ?>

                        <?php echo Form::text('box_count_show',0, ['class' => 'form-control', 'id' => 'box-count','readonly'=>'readonly']);; ?>

                        <input type="hidden" name="box_count" id="box-count-hidden">
                    </div>
                </div>
            </div>
        <?php echo $__env->renderComponent(); ?>
        <?php $__env->startComponent('components.widget', ['class' => 'box-primary']); ?>
            <div class="row">
                <div class="col-sm-6">
                    <div class="form-group">
                        <?php echo Form::label('final_amount_total', __('sentence.netAmountOverAllClient') . ':'); ?>

                        <?php echo Form::text('final_amount_total_client_show',0, ['class' => 'form-control', 'id' => 'final-amount-total-client','disabled']);; ?>

                        <input type="hidden" name="final_amount_total_client" id="final-amount-total-client-hidden">
                    </div>
                </div>
                <div class="col-sm-6">
                    <div class="form-group">
                        <?php echo Form::label('final_amount_total', __('sentence.netAmountOverAll') . ':'); ?>

                        <?php echo Form::text('final_amount_total_show',0, ['class' => 'form-control', 'id' => 'final-amount-total','disabled']);; ?>

                        <input type="hidden" name="final_amount_total" id="final-amount-total-hidden">
                    </div>
                </div>
            </div>
            <div class="clearfix"></div>
            <div class="col-md-12">
                <hr/>
            </div>
            <div class="form-group col-md-12">
                <button type="submit" name="submit" class="btn btn-info pull-right">  <?php echo app('translator')->getFromJson('messages.submit'); ?></button>
            </div>
        <?php echo $__env->renderComponent(); ?>

        <?php echo Form::close(); ?>

    </section>
    <!-- quick product modal -->
    <div class="modal fade quick_add_product_modal" tabindex="-1" role="dialog" aria-labelledby="modalTitle"></div>
    <div class="modal fade contact_modal" tabindex="-1" role="dialog" aria-labelledby="gridSystemModalLabel">
        <?php echo $__env->make('contact.create', ['quick_add' => true], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </div>
    <!-- /.content -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('javascript'); ?>
    <script src="<?php echo e(asset('js/purchase.js?v=' . $asset_v), false); ?>"></script>
    <script src="<?php echo e(asset('js/product.js?v=' . $asset_v), false); ?>"></script>
    <script type="text/javascript">
        $(document).ready(function () {

            __page_leave_confirmation('#add_purchase_form');
            $('.paid_on').datetimepicker({
                format: moment_date_format,
                ignoreReadonly: true,
            });
            LoadBoxCountOnLoad();
            colorTypeChangesOnForm();


        });
        $(document).on('change', '.payment_types_dropdown, #location_id', function (e) {
            var default_accounts = $('select#location_id').length ?
                $('select#location_id')
                    .find(':selected')
                    .data('default_payment_accounts') : [];
            var payment_types_dropdown = $('.payment_types_dropdown');
            var payment_type = payment_types_dropdown.val();
            var payment_row = payment_types_dropdown.closest('.payment_row');
            var row_index = payment_row.find('.payment_row_index').val();

            var account_dropdown = payment_row.find('select#account_' + row_index);
            if (payment_type && payment_type != 'advance') {
                var default_account = default_accounts && default_accounts[payment_type]['account'] ?
                    default_accounts[payment_type]['account'] : '';
                if (account_dropdown.length && default_accounts) {
                    account_dropdown.val(default_account);
                    account_dropdown.change();
                }
            }

            if (payment_type == 'advance') {
                if (account_dropdown) {
                    account_dropdown.prop('disabled', true);
                    account_dropdown.closest('.form-group').addClass('hide');
                }
            } else {
                if (account_dropdown) {
                    account_dropdown.prop('disabled', false);
                    account_dropdown.closest('.form-group').removeClass('hide');
                }
            }
        });

        /* $('#out_land_date_id').on('dp.change', function () {
             console.log($('#out_land_date_id').val());
             let onLandDate = moment($('#on_land_date_id').val(), 'DD-MM-YYYY');
             let outLandDate = moment($('#out_land_date_id').val(), 'DD-MM-YYYY');
             let holdFactoryDate = moment($('#factory_date_id').val(), 'DD-MM-YYYY');
             let totalDays = 0;

             if (onLandDate.isValid() && outLandDate.isValid()) {

                 let duration = moment.duration(outLandDate.diff(onLandDate));
                 console.log(duration.years() + ' Year(s) ' + duration.months() + ' Month(s) ' + duration.days() + ' Day(s)');
                 if (duration.days() > 0)
                     totalDays += duration.days();

                 //$('#total-count').val( duration.years() + ' Year(s) ' + duration.months() + ' Month(s) ' + duration.days() + ' Day(s)');

             } else {
                 console.log('Invalid date(s).')

             }
             if (holdFactoryDate.isValid() && outLandDate.isValid()) {

                 let duration = moment.duration(holdFactoryDate.diff(outLandDate));
                 console.log(duration.years() + ' Year(s) ' + duration.months() + ' Month(s) ' + duration.days() + ' Day(s)');
                 if (duration.days() > 0)
                     totalDays += duration.days();

                 //$('#total-count').val( duration.years() + ' Year(s) ' + duration.months() + ' Month(s) ' + duration.days() + ' Day(s)');

             } else {
                 console.log('Invalid date(s) 2.')

             }
             $('#total-days-diff').val(totalDays);
             $('#days-diff').val(totalDays / 2);
         });*/
        /*
                $('#on_land_date_id').on('dp.change', function () {
                    console.log($('#out_land_date_id').val());
                    let onLandDate = moment($('#on_land_date_id').val(), 'DD-MM-YYYY');
                    let outLandDate = moment($('#out_land_date_id').val(), 'DD-MM-YYYY');
                    let holdFactoryDate = moment($('#factory_date_id').val(), 'DD-MM-YYYY');
                    let totalDays = 0;

                    if (onLandDate.isValid() && outLandDate.isValid()) {

                        let duration = moment.duration(outLandDate.diff(onLandDate));
                        console.log(duration.years() + ' Year(s) ' + duration.months() + ' Month(s) ' + duration.days() + ' Day(s)');
                        if (duration.days() > 0)
                            totalDays += duration.days();
                        let defualt_days=$('#defualt_days').val();
                        totalDays-=defualt_days;
                        //$('#total-count').val( duration.years() + ' Year(s) ' + duration.months() + ' Month(s) ' + duration.days() + ' Day(s)');

                    } else {
                        console.log('Invalid date(s).')

                    }
                    if (holdFactoryDate.isValid() && outLandDate.isValid()) {

                        let duration = moment.duration(holdFactoryDate.diff(outLandDate));
                        console.log(duration.years() + ' Year(s) ' + duration.months() + ' Month(s) ' + duration.days() + ' Day(s)');
                        if (duration.days() > 0)
                            totalDays += duration.days();
                        let defualt_days=$('#defualt_days').val();
                        totalDays-=defualt_days;
                        //$('#total-count').val( duration.years() + ' Year(s) ' + duration.months() + ' Month(s) ' + duration.days() + ' Day(s)');

                    } else {
                        console.log('Invalid date(s) 2.')

                    }
                    $('#total-days-diff').val(totalDays+defualt_days);
                    $('#days-diff').val(totalDays );
                });
        */
        $('#factory_date_id').on('dp.change', function () {
            console.log($('#out_land_date_id').val());
            let onLandDate = moment($('#on_land_date_id').val(), 'DD-MM-YYYY');
            //alert(formatted);

            $('#on_land_date_id_hidden').val($('#on_land_date_id').val().split("-").reverse().join("-"));
            $('#out_land_date_id_hidden').val($('#out_land_date_id').val().split("-").reverse().join("-"));
            $('#factory_date_id_hidden').val($('#factory_date_id').val().split("-").reverse().join("-"));
            console.log('date' + onLandDate.date());
            let outLandDate = moment($('#out_land_date_id').val(), 'DD-MM-YYYY');
            let holdFactoryDate = moment($('#factory_date_id').val(), 'DD-MM-YYYY');
            let totalDays = 1;
            let defualt_days = parseInt($('#defualt_days').val());


            /*if (onLandDate.isValid() && outLandDate.isValid()) {

                let duration = moment.duration(outLandDate.diff(onLandDate));
                console.log('factory'+duration.days());
                if (duration.days() > 0)
                    totalDays += duration.days();
                let defualt_days=$('#defualt_days').val();
                totalDays-=defualt_days;
                //$('#total-count').val( duration.years() + ' Year(s) ' + duration.months() + ' Month(s) ' + duration.days() + ' Day(s)');

            } else {
                console.log('Invalid date(s).')

            }*/
            if (holdFactoryDate.isValid() && onLandDate.isValid()) {

                let duration = moment.duration(holdFactoryDate.diff(onLandDate));
                console.log('factory2' + duration.days())
                totalDays += parseInt(duration.days());
                totalDays -= defualt_days;

                //$('#total-count').val( duration.years() + ' Year(s) ' + duration.months() + ' Month(s) ' + duration.days() + ' Day(s)');

            } else {
                console.log('Invalid date(s) 2.')

            }
            $('#total-days-diff').val(totalDays + defualt_days);
            $('#total-days-diff-hidden').val(totalDays + defualt_days);
            $('#days-diff').val(totalDays);
            $('#days-diff-hidden').val(totalDays);
        });

        $('#carpalet').on('change', function () {
            //alert( this.value );
            var carPaletId = $('#carpalet').val();
            if (carPaletId == "")
                carPaletId = -1;
            $.ajax({
                url: '/getBoxCountCar/' + carPaletId,
                type: 'POST',
                data: {'id': carPaletId},
                success: function (response) {
                    console.log(response);
                    console.log(carPaletId);
                    $('#box-count').val(0);
                    $('#box-count-hidden').val(0);

                    $('#day-cost').val(0);
                    $('#day-cost-hidden').val(0);

                    var mainNetweight = $('#net-weight').val();
                    $('#box-amount-total').val(0);
                    $('#box-amount-total-hidden').val(0);

                },
                error: function (request, status, error) {
                    console.log(error);
                },
                complete: function (response) {
                    calculateClientTotal();
                    calculateTonBoxs();
                    LoadBoxCountOnLoad();
                    colorTypeChangesOnForm();
                    calculateSupplierTotal();
                },
                contentType: false,
                processData: false

            });
        });


        function LoadBoxCountOnLoad() {
            var carPaletId = $('#carpalet').val();
            if (carPaletId == "")
                carPaletId = -1;
            var mainNetweight = $('#net-weight').val();
            $('#net-weight-hidden').val(mainNetweight);

            $.ajax({
                url: '/getBoxCountCar/' + carPaletId,
                type: 'POST',
                data: {'id': carPaletId},
                success: function (response) {
                    console.log(response);
                    console.log(carPaletId);

                    $('#box-count').val(0);
                    $('#box-count-hidden').val(0);
                    $('#day-cost').val(0);
                    $('#day-cost-hidden').val(0);

                    $('#box-amount-total').val(0);
                    $('#box-amount-total-hidden').val(0);

                },
                error: function (request, status, error) {
                    console.log(error);
                },
                complete: function (response) {
                    calculateClientTotal();
                    calculateTonBoxs();
                },
                contentType: false,
                processData: false

            });
        }

        $('#qty-weight').on('input', function (e) {
            var percentDescounted = $('#west-per').val();
            var percentDescountedSupplier = $('#west_per_supplier').val();

            var netWeight = $('#qty-weight').val() - ($('#qty-weight').val() * (percentDescounted / 100));
            var netWeightSupplier = $('#qty-weight').val() - ($('#qty-weight').val() * (percentDescountedSupplier / 100));
            $('#net-weight').val(netWeight);
            $('#net-weight-hidden').val(netWeight);
            $('#net-weight-supplier').val(netWeightSupplier);
            $('#net-weight-supplier-hidden').val(netWeightSupplier);
            LoadBoxCountOnLoad();
        });
        $('#west-per').on('input', function (e) {
            var percentDescounted = $('#west-per').val();

            var netWeight = $('#qty-weight').val() - ($('#qty-weight').val() * (percentDescounted / 100));
            $('#net-weight').val(netWeight);
            $('#net-weight-hidden').val(netWeight);
            LoadBoxCountOnLoad();
        });
        $('#west_per_supplier').on('input', function (e) {
            var percentDescounted = $('#west_per_supplier').val();

            var netWeight = $('#qty-weight').val() - ($('#qty-weight').val() * (percentDescounted / 100));
            $('#net-weight-supplier').val(netWeight);
            $('#net-weight-supplier-hidden').val(netWeight);
            LoadBoxCountOnLoad();
        });
        $('#kg-price').on('input', function (e) {
            var mainNetweight = $('#net-weight').val();
            $('#net-weight-hidden').val($('#net-weight').val());

            var netAmount = mainNetweight * $('#kg-price').val();
            $('#net_money').val(netAmount);
            $('#net_money_hidden').val($('#net_money').val());
            netAmount = netAmount - $('#box-amount-total').val();
            var stayDaysCost = 0;
            var shippingTotalCost = 0;
            if(stayDaysCost>0)
            netAmount = netAmount - stayDaysCost;
            netAmount = netAmount - shippingTotalCost;
            $('#final-amount-total').val(netAmount);
            $('#final-amount-total-hidden').val(netAmount);
            calculateSupplierTotal();
        });
        $('#kg-price-client').on('input', function (e) {
            calculateClientTotal();
        });
        $('#box-amount-total').on('input', function (e) {
            calculateClientTotal();
            calculateTonBoxs();

        });
        $('#box-amount-ton').on('input', function (e) {
            calculateClientTotal();

            var mainNetweight = $('#net-weight').val();
            $('#net-weight-hidden').val($('#net-weight').val());
            var mainNetTons = mainNetweight / 1000;

            var netAmount = $('#box-amount-ton').val() * mainNetTons;
            $('#box-amount-total').val(netAmount);
            netAmount = mainNetweight * $('#kg-price').val();
            //netAmount = netAmount;
            var stayDaysCost = 0;
            var shippingTotalCost = 0;
            if(stayDaysCost>0)
                netAmount = netAmount - stayDaysCost;
            netAmount = netAmount - shippingTotalCost;
            $('#final-amount-total').val(netAmount);
            $('#final-amount-total-hidden').val(netAmount);
            calculateSupplierTotal();

        });
        $('#shipping-cost').on('input', function (e) {
            var mainNetweight = $('#net-weight').val();
            $('#net-weight-hidden').val($('#net-weight').val());
            var mainNetTons = mainNetweight / 1000;

            var netAmount = $('#box-amount-ton').val() * mainNetTons;
            $('#box-amount-total').val(netAmount);
            netAmount = mainNetweight * $('#kg-price').val();
           // netAmount = netAmount - $('#box-amount-total').val();
            var stayDaysCost = 0;
            var shippingTotalCost = 0;
            if(stayDaysCost>0)
                netAmount = netAmount - stayDaysCost;
            netAmount = netAmount - shippingTotalCost;
            $('#final-amount-total').val(netAmount);
            calculateSupplierTotal();
        });


        $('#contact_id').on('change', function () {
            colorTypeChangesOnForm();
        });

        $('#trasnport_id').on('change', function () {
            transportIdChanges();
        });

        function colorTypeChangesOnForm() {
            var materialUse = $('#carpalet').val();
            if (materialUse == "")
                materialUse = -1;
            $.ajax({
                url: '/getTransportByContact/' + materialUse,
                type: 'POST',
                data: {'id': materialUse},
                success: function (response) {
                    console.log(response);
                    console.log(materialUse);
                    $('#trasnport_id').find('option').remove();
                    let len = response.transports.length;
                    let color_hex = '';
                    console.log(len);
                    for (let i = 0; i < len; i++) {
                        let material_id = response.transports[i].id;
                        let materialName = ' من ' + response.transports[i].move_from + ' - الى ' + response.transports[i].move_to;

                        let option = "<option value='" + material_id + "'>" + materialName +
                            "</option>";

                        $("#trasnport_id").append(option);
                    }


                },
                error: function (request, status, error) {
                    console.log(error);
                },
                complete: function (response) {
                    transportIdChanges();
                },
                contentType: false,
                processData: false

            });

        }

        function transportIdChanges() {
            var materialUse = $('#trasnport_id').val();
            if (materialUse == "")
                materialUse = -1;
            $.ajax({
                url: '/getTransportDaysById/' + materialUse,
                type: 'POST',
                data: {'id': materialUse},
                success: function (response) {
                    console.log(response);
                    console.log(materialUse);
                    $("#defualt_days").val(response.days_count);
                    $("#defualt_days_hidden").val(response.days_count);
                    $("#shipping-cost").val(0);
                    // $('#trasnport_id').find('option').remove();
                    //let material_id = response.transports[i].id;
                },
                error: function (request, status, error) {
                    console.log(error);
                    $("#defualt_days").val('0');
                    $("#defualt_days_hidden").val('0');
                },
                complete: function (response) {

                },
                contentType: false,
                processData: false

            });

        }


        function calculateClientTotal() {
            let mainNetweight = $('#net-weight').val();
            $('#net-weight-hidden').val($('#net-weight').val());
            let netAmount = mainNetweight * $('#kg-price-client').val();
            $('#net_money_client').val(netAmount);
            $('#net_money_client_hidden').val($('#net_money_client').val());


            $('#final-amount-total-client').val(netAmount);
            $('#final-amount-total-client-hidden').val(netAmount);
            calculateSupplierTotal();
        }

        function calculateTonBoxs() {
            var mainNetweight = $('#net-weight').val();
            $('#net-weight-hidden').val($('#net-weight').val());
            if (mainNetweight === '0') {
                mainNetweight = 1;
            }
            var mainNetTons = mainNetweight / 1000;

            var netAmount = $('#box-amount-total').val() / mainNetTons;
            $('#box-amount-ton').val(netAmount);
            netAmount = mainNetweight * $('#kg-price').val();
            //netAmount = netAmount - $('#box-amount-total').val();
            var stayDaysCost = 0;
            var shippingTotalCost = 0;
            if(stayDaysCost>0)
                netAmount = netAmount - stayDaysCost;
            netAmount = netAmount - shippingTotalCost;
            $('#final-amount-total').val(netAmount);
            $('#final-amount-total-hidden').val(netAmount);
            calculateSupplierTotal();
        }

        function calculateSupplierTotal() {
           // let mainNetweight = $('#qty-weight').val();
            var percentDescounted = $('#west_per_supplier').val();

            var mainNetweight = $('#qty-weight').val() - ($('#qty-weight').val() * (percentDescounted / 100));

            $('#net-weight-hidden').val($('#net-weight').val());
            let netAmount = mainNetweight * $('#kg-price').val();
            $('#net_money').val(netAmount);
            $('#net_money_hidden').val($('#net_money').val());


            $('#final-amount-total').val(netAmount);
            $('#final-amount-total-hidden').val(netAmount);
            calculateSupplierTotal();
        }
    </script>
    <?php echo $__env->make('purchase.partials.keyboard_shortcuts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/newcairo/public_html/zahraa.rsegy.com/resources/views/zahraakashf/createSupplierWasalStatement.blade.php ENDPATH**/ ?>